cgGetStateEnumerantValue(3)

NAME
cgGetStateEnumerantValue - get state enumerant value by name

SYNOPSIS
  #include <Cg/cg.h>
  int cgGetStateEnumerantValue( CGstate state,
                                const char * name );

PARAMETERS

state
    The state from which to retrieve the value associated with name.

name
    The enumerant name for which to retrieve the associated value from state.

RETURN VALUES
Returns the enumerant value associated with name.

Returns -1 if any error occurs.

DESCRIPTION
cgGetStateEnumerantValue retrieves the enumerant value associated with a given enumerant name from the specified state.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

CG_INVALID_PARAMETER_ERROR is generated if state does not contain name, if name is NULL, or if name points to an empty string.

HISTORY
cgGetStateEnumerantValue was introduced in Cg 1.5.

SEE ALSO
cgGetStateEnumerantName, cgAddStateEnumerant, cgIsState